Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.io
Class UnsignedInteger64

    java.lang.Object
      java.lang.Number
          com.sshtools.j2ssh.io.UnsignedInteger64

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class UnsignedInteger64
extends java.lang.Number
implements java.io.Serializable, java.lang.Comparable

DOCUMENT ME!

See Also:
  Serialized Form

Field Summary
`static java.math.BigInteger` | `MAX_VALUE` DOCUMENT ME!
`static java.math.BigInteger` | `MIN_VALUE` DOCUMENT ME!

Constructor Summary
`UnsignedInteger64(java.math.BigInteger input)` Creates a new UnsignedInteger64 object.
`UnsignedInteger64(byte[] bval)` Creates a new UnsignedInteger64 object.
`UnsignedInteger64(java.lang.String sval)` Creates a new UnsignedInteger64 object.

Method Summary
`static UnsignedInteger64` | `add(UnsignedInteger64 x, int y)` DOCUMENT ME!
`static UnsignedInteger64` | `add(UnsignedInteger64 x, UnsignedInteger64 y)` DOCUMENT ME!
`java.math.BigInteger` | `bigIntValue()` DOCUMENT ME!
`int` | `compareTo(java.lang.Object val)` DOCUMENT ME!
`double` | `doubleValue()` DOCUMENT ME!
`boolean` | `equals(java.lang.Object o)` DOCUMENT ME!
`float` | `floatValue()` DOCUMENT ME!
`int` | `hashCode()` DOCUMENT ME!
`int` | `intValue()` DOCUMENT ME!
`long` | `longValue()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_VALUE

    public static final java.math.BigInteger MAX_VALUE

  DOCUMENT ME!

### MIN_VALUE

    public static final java.math.BigInteger MIN_VALUE

  DOCUMENT ME!

Constructor Detail

### UnsignedInteger64

    public UnsignedInteger64(java.lang.String sval)
                      throws java.lang.NumberFormatException

  Creates a new UnsignedInteger64 object.

Parameters:
  `sval` - DOCUMENT ME!
Throws:
  `java.lang.NumberFormatException` - DOCUMENT ME!

### UnsignedInteger64

    public UnsignedInteger64(byte[] bval)
                      throws java.lang.NumberFormatException

  Creates a new UnsignedInteger64 object.

Parameters:
  `bval` - DOCUMENT ME!
Throws:
  `java.lang.NumberFormatException` - DOCUMENT ME!

### UnsignedInteger64

    public UnsignedInteger64(java.math.BigInteger input)

  Creates a new UnsignedInteger64 object.

Parameters:
  `input` - DOCUMENT ME!
Throws:
  `java.lang.NumberFormatException` - DOCUMENT ME!

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  DOCUMENT ME!

  Parameters:
    `o` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### bigIntValue

    public java.math.BigInteger bigIntValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### intValue

    public int intValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### longValue

    public long longValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### doubleValue

    public double doubleValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### floatValue

    public float floatValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### compareTo

    public int compareTo(java.lang.Object val)

  DOCUMENT ME!

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `val` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### hashCode

    public int hashCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### add

    public static UnsignedInteger64 add(UnsignedInteger64 x,
                                        UnsignedInteger64 y)

  DOCUMENT ME!

  Parameters:
    `x` - DOCUMENT ME!
    `y` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### add

    public static UnsignedInteger64 add(UnsignedInteger64 x,
                                        int y)

  DOCUMENT ME!

  Parameters:
    `x` - DOCUMENT ME!
    `y` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD